Skip to main content
GET
/
projects
/
{project_reference}
/
agents
/
{agent_id}
/
capabilities
Resolve agent capabilities for a runtime target
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/capabilities \
  --header 'Authorization: Bearer <token>'
{
  "agent": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "provider": {
      "organization": "<string>",
      "url": "<string>"
    },
    "version": "<string>",
    "capabilities": {
      "streaming": true,
      "push_notifications": true,
      "extensions": [
        "<string>"
      ]
    },
    "default_input_modes": [
      "<string>"
    ],
    "default_output_modes": [
      "<string>"
    ],
    "skills": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "tags": [
          "<string>"
        ],
        "examples": [
          "<string>"
        ]
      }
    ],
    "x-veryfront-model": "<string>",
    "x-veryfront-url": "<string>",
    "suggestions": {
      "suggestions": [
        {
          "id": "<string>",
          "type": "prompt",
          "title": "<string>",
          "prompt": "<string>",
          "description": "<string>"
        }
      ],
      "welcome_message": "<string>"
    }
  },
  "resolved_capabilities": {
    "source_target": {
      "kind": "project",
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "runtime_target": {
      "kind": "production",
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "skills": [
      {
        "type": "project",
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "source_path": "<string>",
        "allowed_tools": [
          "<string>"
        ]
      }
    ],
    "tools": [
      {
        "type": "control_plane",
        "name": "<string>",
        "description": "<string>",
        "parameters": {}
      }
    ],
    "integrations": [
      {
        "id": "<string>",
        "name": "<string>",
        "tool_names": [
          "<string>"
        ]
      }
    ],
    "prompts": [
      {
        "id": "<string>",
        "name": "<string>",
        "source_path": "<string>",
        "description": "<string>"
      }
    ],
    "workflows": [
      {
        "id": "<string>",
        "name": "<string>",
        "target": "<string>",
        "source_path": "<string>",
        "schedulable": true,
        "description": "<string>",
        "version": "<string>",
        "input_schema": {},
        "output_schema": {}
      }
    ],
    "tasks": [
      {
        "id": "<string>",
        "name": "<string>",
        "target": "<string>",
        "source_path": "<string>",
        "schedulable": true,
        "description": "<string>",
        "input_schema": {},
        "output_schema": {}
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

agent_id
string
required

Agent identifier

Query Parameters

runtime_target_kind
enum<string>
Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
production,
environment,
preview_branch

Response

Resolved agent capabilities

agent
object
required
resolved_capabilities
object
required